Fedora Packages

strongswan-charon-nm-5.9.8-1.el8 in EPEL 8

↵ Return to the main page of strongswan-charon-nm
View build
Search for updates

Package Info (Data from x86_64 build)
🠗 Changelog
🠗 Dependencies
🠗 Provides
🠗 Files

Changelog

Date Author Change
2022-10-16 Arne Reiter <redhat at arnereiter dot de> - 5.9.8-1 - Resolves rhbz#2112274 strongswan-5.9.8 is available - Patch1 removes CFLAGS -Wno-format which interferes with -Werror=format-security - Add BuildRequire for autoconf and automake, now required for release - Remove obsolete patches
2022-06-22 Arne Reiter <redhat at arnereiter dot de> - 5.9.6-1 - Resolves rhbz#2080070 strongswan-5.9.6 is available - Fixed missing format string in enum_flags_to_string()
2022-02-25 Arne Reiter <redhat at arnereiter dot de> - 5.9.5-3 - Resolves: rhbz#2048108 - segfault at 18 ip 00007f4c7c0d841c sp 00007ffe49f61b70 error 4 in libc.so.6
2022-01-25 Paul Wouters <paul dot wouters at aiven dot io> - 5.9.5-2 - Use newly published/cleaned strongswan gpg key
2022-01-24 Paul Wouters <paul dot wouters at aiven dot io> - 5.9.5-1 - Resolves rhbz#2044361 strongswan-5.9.5 is available (CVE-2021-45079)
2022-01-22 Fedora Release Engineering <releng at fedoraproject dot org> - 5.9.4-5 - Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
2021-12-16 Neal Gompa <ngompa at datto dot com> - 5.9.4-4 - Disable TPM/TSS 1.2 support for F36+ / RHEL9+ - Resolves: rhbz#2033299 Drop TPM/TSS 1.2 support (trousers)
2021-11-11 Petr Menšík <pemensik at redhat dot com> - 5.9.4-3 - Resolves rhbz#1419441 Add python and perl vici bindings - Adds optional tests run
2021-11-09 Paul Wouters <paul dot wouters at aiven dot io> - 5.9.4-2 - Resolves rhbz#2018547 'strongswan restart' breaks ipsec started with strongswan-starter - Return to using tmpfiles, but extend to cover strongswan-starter service too - Cleanup old patches
2021-10-20 Paul Wouters <paul dot wouters at aiven dot io> - 5.9.4-1 - Resolves: rhbz#2015165 strongswan-5.9.4 is available - Resolves: rhbz#2015612 CVE-2021-41990 strongswan: gmp plugin: integer overflow via a crafted certificate with an RSASSA-PSS signature - Resolves: rhbz#2015615 CVE-2021-41991 strongswan: integer overflow when replacing certificates in cache - Add BuildRequire for tpm2-tss-devel and weak dependency for tpm2-tools

Dependencies

Provides

  • strongswan-charon-nm
  • strongswan-charon-nm(x86-64)

Files


Sources on Pagure